Bug 398191 - SELinux failed to allow access
SELinux failed to allow access
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 03:08 EST by blue-eagle2
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 10:56:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description blue-eagle2 2007-11-25 03:08:21 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. did an initial upgrade after installation of 232 packages
2. during the installation the error occurred
3.
  
Actual results:
Summary
    SELinux is preventing /sbin/rpc.statd (rpcd_t) "search" to sbin (bin_t).

Detailed Description
    SELinux denied access requested by /sbin/rpc.statd. It is not expected that
    this access is required by /sbin/rpc.statd and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for sbin, restorecon -v sbin If this
    does not work, there is currently no automatic way to allow this access.
    Instead,  you can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:rpcd_t
Target Context                system_u:object_r:bin_t
Target Objects                sbin [ dir ]
Affected RPM Packages         nfs-utils-1.0.12-4.fc7
                              [application]filesystem-2.4.6-1.fc7 [target]
Policy RPM                    selinux-policy-2.6.4-8.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.21-1.3194.fc7 #1
                              SMP Wed May 23 22:35:01 EDT 2007 i686 i686
Alert Count                   1
First Seen                    Sat 24 Nov 2007 11:52:47 PM PST
Last Seen                     Sat 24 Nov 2007 11:52:47 PM PST
Local ID                      7f178d27-0b9f-4996-a1d4-73298f333ae5
Line Numbers                  

Raw Audit Messages            

avc: denied { search } for comm="rpc.statd" dev=sda1 egid=0 euid=0
exe="/sbin/rpc.statd" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="sbin"
pid=27966 scontext=system_u:system_r:rpcd_t:s0 sgid=0
subj=system_u:system_r:rpcd_t:s0 suid=0 tclass=dir
tcontext=system_u:object_r:bin_t:s0 tty=(none) uid=0



Expected results:
no failure.

Additional info:
Comment 1 Daniel Walsh 2007-11-26 10:56:47 EST
Fixed in current policy.

Please yum update selinux-policy

Note You need to log in before you can comment on or make changes to this bug.